Skip to content

Change chapter committee terms

Request

Allows for chapter administrators to change committee terms

Security
knox-authorizer
Path
tenantIdstringrequired

The tenant

chapterIdstringrequired

The chapter id

committeeIdstringrequired

The committee Id

Bodyapplication/jsonrequired

The patch directives conforming to RFC 6902.

Array [
opstring(Op)required

The operation

Enum:"add""copy""move""remove""replace""test"
pathstring(Path)required

The JSON path

valuestring(Value)
]
curl -i -X PATCH \
  'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/chapters/{tenantId}/committee/{chapterId}/{committeeId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "op": "add",
      "path": "string",
      "value": "string"
    }
  ]'

Responses

The records were retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
object
Response
{}